package ch.epfl.tpp.sol.image;

import ch.epfl.tpp.sol.Color;
import ch.epfl.tpp.sol.Point;

public final class MonochromaticImage extends AbstractImage {
    private final double width, height;
    private final Color color;
    
    public MonochromaticImage(double width, double height, Color color) {
        this.width = width;
        this.height = height;
        this.color = color;
    }

    @Override
    public double width() {
        return width;
    }
    
    @Override
    public double height() {
        return height;
    }

    @Override
    public Color colorAtPoint(Point p) {
        checkContainedPoint(p);
        return color;
    }
}
